[WoD] Версии клиента и сервера

Пишем, что не получается и вместе решаем проблему.
BCIndian
Посты: 8
Зарегистрирован: 11 окт 2017, 16:10

Сообщение 11 окт 2017, 16:22

Не столько проблема, сколько сложность. Сборка Warlords of Draenor представлена для версии клиента 6.2.4.21742, в то время как у меня 6.2.3.20886. Вопрос такого характера: есть ли возможность скачать где-то или патчи до нужной версии клиента, или более старую версию сервера? Потому как самостоятельные поиски зашли в тупик. Заранее благодарю.

Off-top P.S. Хорошо, что GSA вернулся)

Аватара пользователя
Norb
Посты: 18
Зарегистрирован: 05 окт 2017, 15:20
Контактная информация:

Сообщение 11 окт 2017, 20:58

Привет, @BCIndian ✋  
Честно, я уже давно не занимался установкой серверов, но на сколько я помню проблему с версией клиента можно попытаться решить банальной сменой wow.exe на более новый/более старый. Думаю для такой небольшой разницы как 6.2.3 - 6.2.4 должно прокатить.

А со сборкой тоже не сложный вариант. На странице с описанием сборки есть ссылки на команду разработчиков. (Опаньки, проверил, а их сайт уже не доступен). Тогда можно попробовать воспользоваться сервисом проектов и поискать там подходящую сборку. Это тут (я бы искал в разделе сборок на английском).

p.s. поправил заголовок на немного более информативный, надеюсь не против. И я тоже рад что GSA вернулся и теперь, на мой взгляд, даже лучше. Но это уже совсем offtop.

BCIndian
Посты: 8
Зарегистрирован: 11 окт 2017, 16:10

Сообщение 12 окт 2017, 06:33

Благодарю, @Norb!
Будем пробовать. Совершается резкий переход с WotLK на WoD)

P.S. Заголовок определённо стал лучше.
"In vino veritas, in cervo potentia, in aqua bacteriae"

BCIndian
Посты: 8
Зарегистрирован: 11 окт 2017, 16:10

Сообщение 12 окт 2017, 08:03

The CAS system was unable to initialize: Client Handler: initialization error: invalid build configuration file


tact::ClientHandler::Create failed: E_DATA_ERROR
[time] {f08} INF: NGDP initialization - (archive: true, cache: true, Async:true)
[time] {f08} INF: Initialization step - FETCHING_CDN_CONFIG
[time] {f08} INF: Initial
Файл конфигурации билда?)
"In vino veritas, in cervo potentia, in aqua bacteriae"

Аватара пользователя
Norb
Посты: 18
Зарегистрирован: 05 окт 2017, 15:20
Контактная информация:

Сообщение 12 окт 2017, 08:54

Это при замене wow.exe ругается? 

BCIndian
Посты: 8
Зарегистрирован: 11 окт 2017, 16:10

Сообщение 12 окт 2017, 11:32

При запуске wow.exe, wow-64.exe, и даже после патчинга через connection_patcher.exe, образованные exe-шники выдают то же. Первая строка ошибки у всех одинаковая, остальные каждый раз новые на каждом exe-шнике.

P.S. Да, после замены, хотя до неё я уже встречал что-то подобное.


Ещё есть такая ошибка, может это внесёт ясность:
The CAS system was unable to initialize: Client Handler: initialization error: invalid build configuration file
 tact::ClientHandler::Create failed: E_DATA_ERROR
[time] {604} ERR: failed to fetch build configuration file: E_DATA_ERROR
[time] {114c} INF: Add new Host addr=93.184.221.199, port=80, name=edgecast.blizzard.com, proxy=false
Перед выдачей новой ошибки минут 5 "думает" в процессах.
Последний раз редактировалось BCIndian 12 окт 2017, 13:30, всего редактировалось 1 раз.
"In vino veritas, in cervo potentia, in aqua bacteriae"

Аватара пользователя
Norb
Посты: 18
Зарегистрирован: 05 окт 2017, 15:20
Контактная информация:

Сообщение 12 окт 2017, 13:24

Там в сборке есть папка Wodcore Launcher 6.2.4.21742, вот я когда ставил брал оттуда и с версиями проблем не было. Если и так берёшь оттуда, то я пока без идей.

BCIndian
Посты: 8
Зарегистрирован: 11 окт 2017, 16:10

Сообщение 12 окт 2017, 13:31

Оттуда и беру. У тебя версия клиента совпадала?
"In vino veritas, in cervo potentia, in aqua bacteriae"

Аватара пользователя
Norb
Посты: 18
Зарегистрирован: 05 окт 2017, 15:20
Контактная информация:

Сообщение 12 окт 2017, 14:13

Я давным давно это делал  😊
На сколько я помню если версия клиента не дотягивала до необходимой просто брал новый wow.exe из Wodcore Launcher и запускал. Всё было нормально.
Попробуй погуглить ошибку, может что-то найдётся. Или поискать другие #rev сборки.

BCIndian
Посты: 8
Зарегистрирован: 11 окт 2017, 16:10

Сообщение 12 окт 2017, 14:16

Нагуглил больше, чем хотел. Близзард решили, видимо, окончательно морознуться с поддержкой. Пару лет назад проблема возникла у нескольких сотен пользователей, решений найдено много, но ни одно мне не подошло. Буду искать сборку, но на 6.2.3 не находил.


UPD: на 6.2.3 рабочей сборки нет, думал обновиться через офф, потому как WoD теперь входит в основную сборку, но он начал качать 25Гб до 7.3.0. И патча с 6.2.3 до 6.2.4 нигде нет. Грустненько всё это.

RE-UPD: или плюнуть и ворваться в Легион?  :)

Re-RE-UPD: ждём сборку 7.3.0.25195))))
"In vino veritas, in cervo potentia, in aqua bacteriae"

Ответить